<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: MeTRoiD (PHP-Fusion Latvia)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."videogallery_panel/infusion_db.php";

if (file_exists(INFUSIONS."videogallery_panel/locale/".$settings['locale']."/videogallery.php")) {
    include INFUSIONS."videogallery_panel/locale/".$settings['locale']."/videogallery.php";
} else {
    include INFUSIONS."videogallery_panel/locale/English/videogallery.php";
}

$inf_title = $locale['INF_TITLE'];
$inf_description = $locale['INF_DESC'];
$inf_version = "1.00";
$inf_developer = "PHP-Fusion Latvia [MeTRoiD]";
$inf_email = "yam.aka.as@gmail.com";
$inf_weburl = "http://www.php-fusion.lv/";
$inf_folder = "videogallery_panel";

$inf_newtable[1] = DB_video_albums." (
	album_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
	album_title VARCHAR(100) NOT NULL DEFAULT '',
	album_description TEXT NOT NULL,
	album_thumb VARCHAR(100) NOT NULL DEFAULT '',
	album_user MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
	album_access SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	album_order SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	album_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (album_id),
	KEY album_order (album_order),
	KEY album_datestamp (album_datestamp)
) ENGINE=MyISAM ;";

$inf_newtable[2] = DB_videos." (
	video_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
	album_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
	video_title VARCHAR(100) NOT NULL DEFAULT '',
	video_description TEXT NOT NULL,
	video_video VARCHAR(100) NOT NULL DEFAULT '',
	video_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
	video_user MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
	video_views INT(10) UNSIGNED NOT NULL DEFAULT '0',
	video_order SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	video_allow_comments tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
	video_allow_ratings tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
	PRIMARY KEY (video_id),
	KEY video_order (video_order),
	KEY video_datestamp (video_datestamp)
) ENGINE=MyISAM ;";
							
$inf_insertdbrow[1] = DB_PANELS." SET panel_name='".$locale['INF_ADMIN']."', panel_filename='".$inf_folder."', panel_content='', panel_side=1, panel_order='99', panel_type='file', panel_access='0', panel_display='1', panel_status='1'";
$inf_insertdbrow[2] = DB_SITE_LINKS." SET link_name='".$locale['INF_TITLE']."', link_url='videogallery.php', link_visibility='0', link_position='1', link_window='0', link_order='99'";

$inf_droptable[1] = DB_video_albums;
$inf_droptable[2] = DB_videos;
$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='$inf_folder'";
$inf_deldbrow[2] = DB_COMMENTS." WHERE comment_type = 'VG';";
$inf_deldbrow[3] = DB_RATINGS." WHERE rating_type = 'V';";
$inf_deldbrow[4] = DB_SITE_LINKS." WHERE link_url = 'videogallery.php';";

$inf_adminpanel[1] = array(
    "title" => $locale['INF_ADMIN'],
    "image" => "vg.png",
    "panel" => "videoalbums.php",
    "rights" => "VG"
);

?>