<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: videogallery_panel.php
| Author: MeTRoiD (PHP-Fusion Latvia)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
//Hint: If you want to change videos displayed in videogallery_panel change LIMIT 0,2 to LIMIT 0,x.
// LIMIT Code on lines 30, 53 and 76.
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."videogallery_panel/locale/".$settings['locale']."/videogallery_panel.php")) {
    include INFUSIONS."videogallery_panel/locale/".$settings['locale']."/videogallery_panel.php";
} else {
    include INFUSIONS."videogallery_panel/locale/English/videogallery_panel.php";
}
//Random video panel start
$result=dbquery(
	"SELECT ta.album_id,album_title,video_id,video_title,video_video FROM ".$db_prefix."video_albums ta ".
	"JOIN ".$db_prefix."videos USING (album_id) WHERE album_id='1' ORDER BY RAND() LIMIT 0,2"
	);
openside($locale['VG1']);
if (dbrows($result)!= "0") {
	echo "<table width='100%' border='0' cellpadding='0' cellspacing='0'>";
	while($data = dbarray($result)) {
		echo "<tr><td width='1%' align='center' valign='top'>";
		echo "<a href='".BASEDIR."videogallery.php?video_id=".$data['video_id']."' class='side'>".$data['video_title']."</a><br /><br />";
		echo "<a href='".BASEDIR."videogallery.php?video_id=".$data['video_id']."' class='side'>";
		echo "<img src='http://i2.ytimg.com/vi/".$data['video_video']."/default.jpg' alt='' title='".$data['video_title']."' style='border:0px' class='videogallery_album_video' /></a>";

		echo "<br /><br /></td></tr>";
	}
	echo "</table>";
} else {
	echo $locale['VG4'];
}
closeside();
//Random video panel end
//Latest video panel start
$result=dbquery(
	"SELECT ta.album_id, ta.video_title, ta.video_id, ta.video_video, tac.album_id, tac.album_access FROM ".$db_prefix."video_albums tac
	INNER JOIN ".$db_prefix."videos ta ON tac.album_id=ta.album_id
	".(iSUPERADMIN ? "" : "WHERE ".groupaccess('album_access'))." ORDER BY video_datestamp DESC LIMIT 0,2"
	);
openside($locale['VG2']);
if (dbrows($result)!= "0") {
	echo "<table width='100%' border='0' cellpadding='0' cellspacing='0'>";
	while($data = dbarray($result)) {
		echo "<tr><td width='1%' align='center' valign='top'>";
		echo "<a href='".BASEDIR."videogallery.php?video_id=".$data['video_id']."' class='side'>".$data['video_title']."</a><br /><br />";
		echo "<a href='".BASEDIR."videogallery.php?video_id=".$data['video_id']."' class='side'>";
		echo "<img src='http://i2.ytimg.com/vi/".$data['video_video']."/default.jpg' alt='' title='".$data['video_title']."' style='border:0px' class='videogallery_album_video' /></a><br />";

		echo "<br /><br /></td></tr>";
	}
	echo "</table>";
} else {
	echo $locale['VG4'];
}
closeside();
//Latest video panel end
//Viewed video panel start
$result=dbquery(
	"SELECT ta.album_id, ta.video_title, ta.video_id, ta.video_video, tac.album_id, tac.album_access FROM ".$db_prefix."video_albums tac
	INNER JOIN ".$db_prefix."videos ta ON tac.album_id=ta.album_id
	".(iSUPERADMIN ? "" : "WHERE ".groupaccess('album_access'))." ORDER BY video_views DESC LIMIT 0,2"
	);
openside($locale['VG3']);
if (dbrows($result)!= "0") {
	echo "<table width='100%' border='0' cellpadding='0' cellspacing='0'>";
	while($data = dbarray($result)) {
		echo "<tr><td width='1%' align='center' valign='top'>";
		echo "<a href='".BASEDIR."videogallery.php?video_id=".$data['video_id']."' class='side'>".$data['video_title']."</a><br /><br />";
		echo "<a href='".BASEDIR."videogallery.php?video_id=".$data['video_id']."' class='side'>";
		echo "<img src='http://i2.ytimg.com/vi/".$data['video_video']."/default.jpg' alt='' title='".$data['video_title']."' style='border:0px' class='videogallery_album_video' /></a>";

		echo "<br /><br /></td></tr>";
	}
	echo "</table>";
} else {
	echo $locale['VG4'];
}
closeside();
//Viewed video panel end
?>