<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Original filename: photos.php
| Author: Nick Jones (Digitanium)
| Co-Author: Robert Gaudyn (Wooya)
| Editor: MeTRoiD (PHP-Fusion Latvia)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

if (!checkrights("VG") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
require_once INCLUDES."bbcode_include.php";
include INFUSIONS."videogallery_panel/infusion_db.php";

if (file_exists(INFUSIONS."videogallery_panel/locale/".$settings['locale']."/videos.php")) {
    include INFUSIONS."videogallery_panel/locale/".$settings['locale']."/videos.php";
} else {
    include INFUSIONS."videogallery_panel/locale/English/videos.php";
}

if (!isset($_GET['album_id']) || !isnum($_GET['album_id'])) { redirect("videoalbums.php".$aidlink); }

if (function_exists('gd_info')) {

	define("SAFEMODE", @ini_get("safe_mode") ? true : false);

	if (isset($_GET['status']) && !isset($message)) {
		if ($_GET['status'] == "sn") {
			$message = $locale['VG410'];
		} elseif ($_GET['status'] == "su") {
			$message = $locale['VG411'];
		} elseif ($_GET['status'] == "se") {
			$message = $locale['VG414']."<br />\n<span class='small'>";
			if ($_GET['error'] == 1) { $message .= $locale['VG415']."</span>"; }
			elseif ($_GET['error'] == 2) { $message .= $locale['VG416']."</span>"; }
			elseif ($_GET['error'] == 3) { $message .= $locale['VG417']."</span>"; }
		} elseif ($_GET['status'] == "delt") {
			$message = $locale['VG412'];
		} elseif ($_GET['status'] == "del") {
			$message = $locale['VG413'];
		} elseif ($_GET['status'] == "mov") {
			$message = $locale['VG419'];
		}
		if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
	}

	if (isset($_POST['cancel'])) {
		redirect(FUSION_SELF.$aidlink."&album_id=".$_GET['album_id']);
	} elseif (isset($_POST['move_video']) && (isset($_POST['move_album_id']) && isnum($_POST['move_album_id'])) && (isset($_GET['video_id']) && isnum($_GET['video_id']))) {
		$result = dbquery("SELECT MAX(video_order)+1 as last_order FROM ".DB_videos." WHERE album_id='".$_POST['move_album_id']."' GROUP BY album_id");
		if (dbrows($result)) {
			$data = dbarray($result);
			$last_order = $data['last_order'];
		} else {
			$last_order = 1;
		}
		if (!SAFEMODE) {
			$result2 = dbquery("SELECT video_video FROM ".DB_videos." WHERE video_id='".$_GET['video_id']."'");
			if (dbrows($result2)) {
				$data2 = dbarray($result2);
					$result3 = dbquery("UPDATE ".DB_videos." SET album_id='".$_POST['move_album_id']."', video_order='".$last_order."' WHERE video_id='".$_GET['video_id']."'");
			} else {
				redirect(FUSION_SELF.$aidlink."&album_id=".$_GET['album_id']);
			}
		} else {
			$result3 = dbquery("UPDATE ".DB_videos." SET album_id='".$_POST['move_album_id']."', video_order='".$last_order."' WHERE video_id='".$_GET['video_id']."'");
		}
		$k = 1;
		$result2 = dbquery("SELECT video_id FROM ".DB_videos." WHERE album_id='".$_GET['album_id']."' ORDER BY video_order");
		if (dbrows($result2)) {
			while ($data2 = dbarray($result2)) {
				$result3 = dbquery("UPDATE ".DB_videos." SET video_order='".$k."' WHERE video_id='".$data2['video_id']."'");
				$k++;
			}
		}
		redirect (FUSION_SELF.$aidlink."&album_id=".$_POST['move_album_id']."&amp;status=mov");
	} elseif (isset($_POST['move_sel_videos']) && (isset($_POST['move_album_id']) && isnum($_POST['move_album_id']))) {
		$result = dbquery("SELECT MAX(video_order)+1 as last_order FROM ".DB_videos." WHERE album_id='".$_POST['move_album_id']."' GROUP BY album_id");
		if (dbrows($result)) {
			$data = dbarray($result);
			$last_order = $data['last_order'];
		} else {
			$last_order = 1;
		}
		$check_count = 0; $video_ids = "";
		if (is_array($_POST['sel_video']) && count($_POST['sel_video']) > 0) {
			foreach ($_POST['sel_video'] as $this_video) {
				if (isnum($this_video)) { $video_ids .= ($video_ids ? "," : "").$this_video; }
				$check_count++;
			}
		}
		if ($check_count > 0) {
			$result = dbquery("SELECT video_id FROM ".DB_videos." WHERE album_id='".$_GET['album_id']."' AND video_id IN (".$video_ids.") ORDER BY video_order");
			$rows = dbrows($result);
			if ($rows) {
				$i = 0;
				while ($data = dbarray($result)) {
					if (!SAFEMODE) {
							$result2 = dbquery("UPDATE ".DB_videos." SET album_id='".$_POST['move_album_id']."', video_order='".$last_order."' WHERE video_id='".$data['video_id']."'");
					} else {
						$result2 = dbquery("UPDATE ".DB_videos." SET album_id='".$_POST['move_album_id']."', video_order='".$last_order."' WHERE video_id='".$data['video_id']."'");
					}
					$last_order++;
				}
				$k = 1;
				$result2 = dbquery("SELECT video_id FROM ".DB_videos." WHERE album_id='".$_GET['album_id']."' ORDER BY video_order");
				if (dbrows($result2)) {
					while ($data2 = dbarray($result2)) {
						$result3 = dbquery("UPDATE ".DB_videos." SET video_order='".$k."' WHERE video_id='".$data2['video_id']."'");
						$k++;
					}
				}
				redirect (FUSION_SELF.$aidlink."&album_id=".$_POST['move_album_id']."&amp;status=mov");
			} else {
				redirect (FUSION_SELF.$aidlink."&album_id=".$_GET['album_id']);
			}
		} else {
			redirect (FUSION_SELF.$aidlink."&album_id=".$_GET['album_id']);
		}


	}  elseif ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['video_id']) && isnum($_GET['video_id']))) {
		$data = dbarray(dbquery("SELECT album_id,video_order FROM ".DB_videos." WHERE video_id='".$_GET['video_id']."'"));
		$result = dbquery("UPDATE ".DB_videos." SET video_order=(video_order-1) WHERE video_order>'".$data['video_order']."' AND album_id='".$_GET['album_id']."'");
		$result = dbquery("DELETE FROM ".DB_videos." WHERE video_id='".$_GET['video_id']."'");
		$result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_item_id='".$_GET['video_id']."' and comment_type='VG'");
		$result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_item_id='".$_GET['video_id']."' and rating_type='V'");
		redirect(FUSION_SELF.$aidlink."&status=del&album_id=".$_GET['album_id']."");
	} elseif ((isset($_GET['action']) && $_GET['action']=="mup") && (isset($_GET['video_id']) && isnum($_GET['video_id']))) {
		$data = dbarray(dbquery("SELECT video_id FROM ".DB_videos." WHERE album_id='".$_GET['album_id']."' AND video_order='".intval($_GET['order'])."'"));
		$result = dbquery("UPDATE ".DB_videos." SET video_order=video_order+1 WHERE video_id='".$data['video_id']."'");
		$result = dbquery("UPDATE ".DB_videos." SET video_order=video_order-1 WHERE video_id='".$_GET['video_id']."'");
		$rowstart = $_GET['order'] > $settings['thumbs_per_page'] ? ((ceil($_GET['order'] / $settings['thumbs_per_page'])-1)*$settings['thumbs_per_page']) : "0";
		redirect(FUSION_SELF.$aidlink."&album_id=".$_GET['album_id']."&rowstart=$rowstart");
	} elseif ((isset($_GET['action']) && $_GET['action']=="mdown") && (isset($_GET['video_id']) && isnum($_GET['video_id']))) {
		$data = dbarray(dbquery("SELECT video_id FROM ".DB_videos." WHERE album_id='".$_GET['album_id']."' AND video_order='".intval($_GET['order'])."'"));
		$result = dbquery("UPDATE ".DB_videos." SET video_order=video_order-1 WHERE video_id='".$data['video_id']."'");
		$result = dbquery("UPDATE ".DB_videos." SET video_order=video_order+1 WHERE video_id='".$_GET['video_id']."'");
		$rowstart = $_GET['order'] > $settings['thumbs_per_page'] ? ((ceil($_GET['order'] / $settings['thumbs_per_page'])-1)*$settings['thumbs_per_page']) : "0";
		redirect(FUSION_SELF.$aidlink."&album_id=".$_GET['album_id']."&rowstart=$rowstart");



	} elseif (isset($_POST['save_video'])) {
		$error="";
		$video_title = stripinput($_POST['video_title']);
		$video_description = stripinput($_POST['video_description']);
		$video_video = stripinput($_POST['video_video']);
		$video_order = isnum($_POST['video_order']) ? $_POST['video_order'] : "";
		$video_comments = isset($_POST['video_comments']) ? "1" : "0";
		$video_ratings = isset($_POST['video_ratings']) ? "1" : "0";
		    if(empty($_POST['video_title'])) {
			$error = 1;
			}
			if(empty($_POST['video_video'])) {
			$error = 2;
			}
			if(empty($_POST['video_title']) && empty($_POST['video_video'])) {
			$error = 3;
			}
		if (!$error) {
			if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['video_id']) && isnum($_GET['video_id']))) {
				$old_video_order = dbresult(dbquery("SELECT video_order FROM ".DB_videos." WHERE video_id='".$_GET['video_id']."'"),0);
				if ($video_order > $old_video_order) {
					$result = dbquery("UPDATE ".DB_videos." SET video_order=(video_order-1) WHERE video_order>'$old_video_order' AND video_order<='$video_order' AND album_id='".$_GET['album_id']."'");
				} elseif ($video_order < $old_video_order) {
					$result = dbquery("UPDATE ".DB_videos." SET video_order=(video_order+1) WHERE video_order<'$old_video_order' AND video_order>='$video_order' AND album_id='".$_GET['album_id']."'");
				}
				$result = dbquery("UPDATE ".DB_videos." SET video_title='$video_title', video_description='$video_description', video_video='$video_video', video_datestamp='".time()."', video_order='$video_order', video_allow_comments='$video_comments', video_allow_ratings='$video_ratings' WHERE video_id='".$_GET['video_id']."'");
				$rowstart = $video_order > $settings['thumbs_per_page'] ? ((ceil($video_order / $settings['thumbs_per_page'])-1)*$settings['thumbs_per_page']) : "0";
				redirect(FUSION_SELF.$aidlink."&status=su&album_id=".$_GET['album_id']."&rowstart=$rowstart");
			} else {
				if (!$video_order) { $video_order = dbresult(dbquery("SELECT MAX(video_order) FROM ".DB_videos." WHERE album_id='".$_GET['album_id']."'"), 0) + 1; }
				$result = dbquery("UPDATE ".DB_videos." SET video_order=(video_order+1) WHERE video_order>='$video_order' AND album_id='".$_GET['album_id']."'");
				$result = dbquery("INSERT INTO ".DB_videos." (album_id, video_title, video_description, video_video, video_datestamp, video_user, video_views, video_order, video_allow_comments, video_allow_ratings) VALUES ('".$_GET['album_id']."', '$video_title', '$video_description', '$video_video', '".time()."', '".$userdata['user_id']."', '0', '$video_order', '$video_comments', '$video_ratings')");
				$rowstart = $video_order > $settings['thumbs_per_page'] ? ((ceil($video_order / $settings['thumbs_per_page'])-1)*$settings['thumbs_per_page']) : "0";
				redirect(FUSION_SELF.$aidlink."&status=sn&album_id=".$_GET['album_id']."&rowstart=$rowstart");
			}
			
		}
		if ($error) {
			redirect(FUSION_SELF.$aidlink."&status=se&error=$error&album_id=".$_GET['album_id']);
		}
	}else{
		$data3 = dbarray(dbquery("SELECT album_title FROM ".DB_video_albums." WHERE album_id='".$_GET['album_id']."'"));
		$album_title = $data3['album_title'];
		if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['video_id']) && isnum($_GET['video_id']))) {
			$result = dbquery("SELECT video_title, video_description, video_video, video_order, video_allow_comments, video_allow_ratings FROM ".DB_videos." WHERE video_id='".$_GET['video_id']."'");
			if (dbrows($result)) {
				$data = dbarray($result);
				$video_id = $_GET['video_id'];
				$video_title = $data['video_title'];
				$video_description = $data['video_description'];
				$video_video = $data['video_video'];
				$video_order = $data['video_order'];
				$video_comments = $data['video_allow_comments'] == "1" ? " checked='checked'" : "";
				$video_ratings = $data['video_allow_ratings'] == "1" ? " checked='checked'" : "";
				$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;album_id=".$_GET['album_id']."&amp;video_id=".$_GET['video_id'];
				add_to_title($locale['global_200'].$locale['VG401'].$locale['global_201'].$video_title);
				opentable($album_title.": ".$locale['VG401']." - ($video_id - $video_title)");
			} else {
				redirect(FUSION_SELF.$aidlink);
			}
		} else {
			$video_title = "";
			$video_description = "";
			$video_video = "";
			$video_order = "";
			$video_comments = " checked='checked'";
			$video_ratings = " checked='checked'";
			$formaction = FUSION_SELF.$aidlink."&amp;album_id=".$_GET['album_id']."";
			opentable($album_title.": ".$locale['VG400']);
		}
		if (!isset($_GET['action'])) {
		echo "<div class='tbl2' id='show_singleform' style='font-weight:bold;cursor:pointer;margin-bottom:2px;'>".$locale['VG493']."</div>";
		}
		echo "<div id='single_upload' class='image_upload' style='padding:15px 0;'>";
		echo "<form name='inputform' method='post' action='".$formaction."' enctype='multipart/form-data'>\n";
		echo "<table cellspacing='0' cellpadding='2' class='tbl-border center' style='width:500px;'>\n";
		if (isset($_GET['action']) && $_GET['action'] == "edit") {
			$result2 = dbquery("SELECT album_id, album_title FROM ".DB_video_albums." WHERE album_id!='".$_GET['album_id']."'");
			if (dbrows($result2)) {
				echo "<tr>\n<td colspan='2' class='tbl1' style='text-align:center'>\n";
				echo $locale['VG430'].": <select class='textbox' name='move_album_id'>\n";
				echo "<option value=''>-- ".$locale['VG473']." --</option>\n";
				while ($data2 = dbarray($result2)) {
					echo "<option value='".$data2['album_id']."'>".$data2['album_title']."</option>\n";
				}
				echo "</select>\n";
				echo "<input class='button' type='submit' name='move_video' value='".$locale['VG431']."' />";
				echo "</td>\n</tr>\n";
			}
		}
		echo "<tr>\n<td class='tbl1'>".$locale['VG432']."</td>\n";
		echo "<td class='tbl1'><input type='text' name='video_title' value='".$video_title."' maxlength='100' class='textbox' style='width:330px;' /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n<td class='tbl1' style='vertical-align:top;'>".$locale['VG433a']."</td>\n";
		echo "<td><input type='text' name='video_video' value='".$video_video."' maxlength='20' class='textbox' style='width:165px;' />";
		echo "</td>\n</tr>\n";
		echo "<tr>\n<td class='tbl1' style='vertical-align:top;'>".$locale['VG433']."</td>\n";
		echo "<td class='tbl1'><textarea name='video_description' cols='60' rows='5' class='textbox' style='width:330px;'>".$video_description."</textarea><br />\n";
		echo display_bbcodes("300px", "video_description", "inputform", "b|i|u|center|small|url|mail|img|quote")."</td>\n";
		echo "</tr>\n";
		echo "<tr>\n<td class='tbl1'>".$locale['VG434']."</td>\n";
		echo "<td class='tbl1'><input type='text' name='video_order' value='".$video_order."' maxlength='5' class='textbox' style='width:40px;' /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n<td class='tbl1' style='text-align:right;'></td>\n";
		echo "<td class='tbl1' style='text-align:left;'>\n";
		echo "<label><input type='checkbox' name='video_comments' value='yes'".$video_comments." /> ".$locale['VG437']."</label>";
		if ($settings['comments_enabled'] == "0") {
			echo "<span style='color:red;font-weight:bold;margin-left:3px;'>*</span>";
		}
		echo "<br />\n";
		echo "<label><input type='checkbox' name='video_ratings' value='yes'".$video_ratings." /> ".$locale['VG438']."</label>\n";
		if ($settings['ratings_enabled'] == "0") {
			echo "<span style='color:red;font-weight:bold;margin-left:3px;'>*</span>";
		}
		echo "</td></tr>\n";
		if ($settings['comments_enabled'] == "0" || $settings['ratings_enabled'] == "0") {
			$sys = "";
			if ($settings['comments_enabled'] == "0" &&  $settings['ratings_enabled'] == "0") {
				$sys = $locale['VG523'];
			} elseif ($settings['comments_enabled'] == "0") {
				$sys = $locale['VG521'];
			} else {
				$sys = $locale['VG522'];
			}
			echo "<tr>\n<td colspan='2' class='tbl1' style='font-weight:bold;text-align:left; color:black !important; background-color:#FFDBDB;'>";
			echo "<span style='color:red;font-weight:bold;margin-right:5px;'>*</span>".sprintf($locale['VG520'], $sys);
			echo "</td>\n</tr>";
		}
		echo "<tr>\n<td class='tbl1' colspan='2' style='text-align:center;'><br />";
		echo "<input type='submit' name='save_video' value='".$locale['VG439']."' class='button' />\n";
		if (isset($_GET['action']) && $_GET['action'] == "edit") {
			echo "<input type='submit' name='cancel' value='".$locale['VG440']."' class='button' />\n";
		}
		echo "</td></tr>\n</table></form>\n";
		echo "</div>";
		
		
		closetable();
	}

	opentable($album_title.": ".$locale['VG402']);
	$rows = dbcount("(video_id)", DB_videos, "album_id='".$_GET['album_id']."'");
	if ($rows) {
		if (!isset($_GET['rowstart']) || isset($_GET['rowstart']) && !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
		$result = dbquery(
			"SELECT tp.video_id, tp.video_title, tp.video_video, tp.video_datestamp, tp.video_views, tp.video_order, tu.user_id, tu.user_name, tu.user_status
			FROM ".DB_videos." tp
			LEFT JOIN ".DB_USERS." tu ON tp.video_user=tu.user_id
			WHERE album_id='".$_GET['album_id']."' ORDER BY video_order
			LIMIT ".$_GET['rowstart'].",".$settings['thumbs_per_page']
		);
		$counter = 0; $k = ($_GET['rowstart'] == 0 ? 1 : $_GET['rowstart'] + 1);
		echo "<form name='move_form' method='post' action='".FUSION_SELF.$aidlink."&amp;album_id=".$_GET['album_id']."'>\n";
		echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
		if ($rows > $settings['thumbs_per_page']) {
			echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $settings['thumbs_per_page'], $rows, 3, FUSION_SELF.$aidlink."&amp;album_id=".$_GET['album_id']."&amp;")."\n</div>\n";
		}
		$move = dbcount("(album_id)", DB_video_albums, "album_id!='".$_GET['album_id']."'");
		while ($data = dbarray($result)) {
			$up = ""; $down = "";
			if ($rows != 1){
				$orderu = $data['video_order'] - 1;
				$orderd = $data['video_order'] + 1;
				if ($k == 1) {
					$down = " &middot;\n<a href='".FUSION_SELF.$aidlink."&amp;album_id=".$_GET['album_id']."&amp;rowstart=".$_GET['rowstart']."&amp;action=mdown&amp;order=$orderd&amp;video_id=".$data['video_id']."'><img src='".get_image("right")."' alt='".$locale['VG453']."' title='".$locale['VG453']."' style='border:0px;vertical-align:middle' /></a>\n";
				} elseif ($k < $rows){
					$up = "<a href='".FUSION_SELF.$aidlink."&amp;album_id=".$_GET['album_id']."&amp;rowstart=".$_GET['rowstart']."&amp;action=mup&amp;order=$orderu&amp;video_id=".$data['video_id']."'><img src='".get_image("left")."' alt='".$locale['VG452']."' title='".$locale['VG452']."' style='border:0px;vertical-align:middle' /></a> &middot;\n";
					$down = " &middot;\n<a href='".FUSION_SELF.$aidlink."&amp;album_id=".$_GET['album_id']."&amp;rowstart=".$_GET['rowstart']."&amp;action=mdown&amp;order=$orderd&amp;video_id=".$data['video_id']."'><img src='".get_image("right")."' alt='".$locale['VG453']."' title='".$locale['VG453']."' style='border:0px;vertical-align:middle' /></a>\n";
				} else {
					$up = "<a href='".FUSION_SELF.$aidlink."&amp;album_id=".$_GET['album_id']."&amp;rowstart=".$_GET['rowstart']."&amp;action=mup&amp;order=$orderu&amp;video_id=".$data['video_id']."'><img src='".get_image("left")."' alt='".$locale['VG452']."' title='".$locale['VG452']."' style='border:0px;vertical-align:middle' /></a> &middot;\n";
				}
			}
			if ($counter != 0 && ($counter % $settings['thumbs_per_row'] == 0)) { echo "</tr>\n<tr>\n"; }
			echo "<td align='center' valign='top' class='tbl1'>\n";
			echo "<label>";
			if ($move) {
				echo "<input type='checkbox' name='sel_video[]' value='".$data['video_id']."' />&nbsp;";
			}
			echo "<strong>".$data['video_order']." ".$data['video_title']."</strong></label><br /><br />\n";
			if ($data['video_video']){
				echo "<img src='http://i2.ytimg.com/vi/".$data['video_video']."/default.jpg' alt='".$locale['VG451']."' title='".$data['video_title']."' style='border:0px' />";
			} else {
				echo $locale['VG450'];
			}
			echo "<br /><br />\n<span class='small'>".$up;
			echo "<a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;album_id=".$_GET['album_id']."&amp;video_id=".$data['video_id']."'>".$locale['VG454']."</a> &middot;\n";
			echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;album_id=".$_GET['album_id']."&amp;video_id=".$data['video_id']."'>".$locale['VG455']."</a> ".$down;
			echo "<br /><br />\n".$locale['VG456'].showdate("shortdate", $data['video_datestamp'])."<br />\n";
			echo $locale['VG457'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."<br />\n";
			echo $locale['VG458'].$data['video_views']."<br />\n";
			echo $locale['VG459'].dbcount("(comment_id)", DB_COMMENTS, "comment_type='VG' AND comment_item_id='".$data['video_id']."'")."</span><br />\n";
			echo "</td>\n";
			$counter++; $k++;
		}
		$result = dbquery("SELECT album_id, album_title FROM ".DB_video_albums." WHERE album_id!='".$_GET['album_id']."'");
		echo "</tr>\n<tr>\n";
		echo "<td align='center' colspan='".$settings['thumbs_per_row']."' class='tbl2'>\n";
		if (dbrows($result)) {
			echo "<a href='#' onclick=\"javascript:setChecked('move_form','sel_video[]',1);return false;\">".$locale['VG470']."</a> ::\n";
			echo "<a href='#' onclick=\"javascript:setChecked('move_form','sel_video[]',0);return false;\">".$locale['VG471']."</a> ::\n";
			echo $locale['VG472'].": <select class='textbox' name='move_album_id'>\n";
			echo "<option value=''>-- ".$locale['VG473']." --</option>\n";
			while ($data = dbarray($result)) {
				echo "<option value='".$data['album_id']."'>".$data['album_title']."</option>\n";
			}
			echo "</select><br />\n<input class='button' type='submit' name='move_sel_videos' value='".$locale['VG474']."' onclick=\"javascript:return ConfirmMove(0);\" />\n";
		}
		echo "<input class='button' type='button' value='".$locale['VG476']."' onclick=\"location.href='videoalbums.php".$aidlink."';\" />\n";
		echo "</td>\n</tr>\n</table>\n</form>\n";
		if (dbrows($result)) {
			echo "<script type='text/javascript'>\n";
			echo "/* <![CDATA[ */\n";
			echo "function setChecked(frmName,chkName,val) {\n";
			echo "dml=document.forms[frmName];\n"."len=dml.elements.length;"."\n"."for(i=0;i < len;i++) {\n";
			echo "if(dml.elements[i].name == chkName) {"."\n"."dml.elements[i].checked = val;\n";
			echo "}\n}\n}\n"."function ConfirmMove(moveType) {\n";
			echo "if(moveType==0) {"."\n"."return confirm('".$locale['VG481']."')\n";
			echo "}else{\n"."return confirm('".$locale['VG482']."')\n";
			echo "}\n}\n";
			echo "/* ]]>*/\n";
			echo "</script>\n";
		}
		if ($rows > $settings['thumbs_per_page']) {
			echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $settings['thumbs_per_page'], $rows, 3, FUSION_SELF.$aidlink."&amp;album_id=".$_GET['album_id']."&amp;")."\n</div>\n";
		}
	}else{
		echo "<div style='text-align:center'>".$locale['VG480']."</div>\n";
	}
	closetable();
} else {
	opentable($locale['VG403']);
	echo "<div id='close-message'><div class='admin-message'>".$locale['VG420']."</div></div>\n";
	closetable();
}


require_once THEMES."templates/footer.php";
?>
